# classes/phing/mappers/GlobMapper.php

description here

author
  Andreas Aderhold, andi@binarycloud.com
package
  phing.mappers
version
  $Revision: 526 $

## \GlobMapper
jump to top

description here

Implements
  \FileNameMapper
author
  Andreas Aderhold, andi@binarycloud.com
package
  phing.mappers
version
  $Revision: 526 $

### Properties

`$fromPostfix= 'null'`

Part of &quot;from&quot; pattern after the *.

Default value `null` Details

Type

`$fromPrefix= 'null'`

Part of &quot;from&quot; pattern before the *.

Default value `null` Details

Type

`$postfixLength= ''`

Length of the postfix (&quot;from&quot; pattern).

Details

Type

`$prefixLength= ''`

Length of the prefix (&quot;from&quot; pattern).

Details

Type

`$toPostfix= 'null'`

Part of &quot;to&quot; pattern after the *.

Default value `null` Details

Type

`$toPrefix= 'null'`

Part of &quot;to&quot; pattern before the *.

Default value `null` Details

Type

### Methods

`_extractVariablePart( $_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$_name |  |

`main( $_sourceFileName ) :`
Parameters

Name | Type | Description
--- | --- | ---
$_sourceFileName |  |

`setFrom( $from ) :`
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setTo( $to ) :`
Sets the "to" pattern. Required.
Parameters

Name | Type | Description
--- | --- | ---
$to |  |

Documentation was generated by DocBlox 0.13.1.